> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization

> Create a new Organization.

The current authenticated user becomes the Organization Owner.



## OpenAPI

````yaml post /api/v1/organizations
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/organizations:
    post:
      tags:
        - organizations
      description: |-
        Create a new Organization.

        The current authenticated user becomes the Organization Owner.
      operationId: organizations_create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  examples:
                    - Sample Organization
                    - My Organization
                  description: Organization common name.
                description:
                  type: string
                  description: Organization description
                  examples:
                    - >-
                      Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                      Integer et posuere erat. Phasellus iaculis metus mauris,
                      quis accumsan felis fermentum at.
                number_employees:
                  type: number
                  description: Organization number of employees
                  examples:
                    - 10
                    - 20
                    - 30
                website:
                  type: string
                  description: Full URL of the Organization website
                  examples:
                    - https://sample.com
                    - https://my.organization.com
                logo:
                  type: string
                  description: Full URL reference to Organization Logo file
                  examples:
                    - https://sample.com/logo.svg
                    - https://my.organization.com/logo.png
                sectors:
                  type: array
                  description: Sectors in which the Organization operates.
                  items:
                    type: string
                    enum:
                      - Agriculture
                      - Arts & Entertainment
                      - Business Services
                      - Construction
                      - Consumer Discretionary
                      - Consumer Staples
                      - Education
                      - Energy
                      - Financials
                      - Health Care
                      - Hospitality & Tourism
                      - Information Technology
                      - Manufacturing
                      - Materials
                      - Media
                      - Public Sector
                      - Real Estate
                      - Retail
                      - Science & Technology
                      - Telecommunications
                      - Transportation
                      - Utilities
                industries:
                  type: array
                  description: Industries in which the Organization operates.
                  items:
                    type: string
                    enum:
                      - Accounting
                      - Airlines/Aviation
                      - Alternative Dispute Resolution
                      - Alternative Medicine
                      - Animation
                      - Apparel/Fashion
                      - Architecture/Planning
                      - Arts/Crafts
                      - Automotive
                      - Aviation/Aerospace
                      - Banking/Mortgage
                      - Biotechnology/Greentech
                      - Broadcast Media
                      - Building Materials
                      - Business Supplies/Equipment
                      - Capital Markets/Hedge Fund/Private Equity
                      - Chemicals
                      - Civic/Social Organization
                      - Civil Engineering
                      - Commercial Real Estate
                      - Computer Games
                      - Computer Hardware
                      - Computer Networking
                      - Computer Software/Engineering
                      - Computer/Network Security
                      - Construction
                      - Consumer Electronics
                      - Consumer Goods
                      - Consumer Services
                      - Cosmetics
                      - Dairy
                      - Defense/Space
                      - Design
                      - E-Learning
                      - Education Management
                      - Electrical/Electronic Manufacturing
                      - Entertainment/Movie Production
                      - Environmental Services
                      - Events Services
                      - Executive Office
                      - Facilities Services
                      - Farming
                      - Financial Services
                      - Fine Art
                      - Fishery
                      - Food Production
                      - Food/Beverages
                      - Fundraising
                      - Furniture
                      - Gambling/Casinos
                      - Glass/Ceramics/Concrete
                      - Government Administration
                      - Government Relations
                      - Graphic Design/Web Design
                      - Health/Fitness
                      - Higher Education/Acadamia
                      - Hospital/Health Care
                      - Hospitality
                      - Human Resources/HR
                      - Import/Export
                      - Individual/Family Services
                      - Industrial Automation
                      - Information Services
                      - Information Technology/IT
                      - Insurance
                      - International Affairs
                      - International Trade/Development
                      - Internet
                      - Investment Banking/Venture
                      - Investment Management/Hedge Fund/Private Equity
                      - Judiciary
                      - Law Enforcement
                      - Law Practice/Law Firms
                      - Legal Services
                      - Legislative Office
                      - Leisure/Travel
                      - Library
                      - Logistics/Procurement
                      - Luxury Goods/Jewelry
                      - Machinery
                      - Management Consulting
                      - Maritime
                      - Market Research
                      - Marketing/Advertising/Sales
                      - Mechanical or Industrial Engineering
                      - Media Production
                      - Medical Equipment
                      - Medical Practice
                      - Mental Health Care
                      - Military Industry
                      - Mining/Metals
                      - Motion Pictures/Film
                      - Museums/Institutions
                      - Music
                      - Nanotechnology
                      - Newspapers/Journalism
                      - Non-Profit/Volunteering
                      - Oil/Energy/Solar/Greentech
                      - Online Publishing
                      - Other Industry
                      - Outsourcing/Offshoring
                      - Package/Freight Delivery
                      - Packaging/Containers
                      - Paper/Forest Products
                      - Performing Arts
                      - Pharmaceuticals
                      - Philanthropy
                      - Photography
                      - Plastics
                      - Political Organization
                      - Primary/Secondary Education
                      - Printing
                      - Professional Training
                      - Program Development
                      - Public Relations/PR
                      - Public Safety
                      - Publishing Industry
                      - Railroad Manufacture
                      - Ranching
                      - Real Estate/Mortgage
                      - Recreational Facilities/Services
                      - Religious Institutions
                      - Renewables/Environment
                      - Research Industry
                      - Restaurants
                      - Retail Industry
                      - Security/Investigations
                      - Semiconductors
                      - Shipbuilding
                      - Sporting Goods
                      - Sports
                      - Staffing/Recruiting
                      - Supermarkets
                      - Telecommunications
                      - Textiles
                      - Think Tanks
                      - Tobacco
                      - Translation/Localization
                      - Transportation
                      - Utilities
                      - Venture Capital/VC
                      - Veterinary
                      - Warehousing
                      - Wholesale
                      - Wine/Spirits
                      - Wireless
                      - Writing/Editing
                infrastructure:
                  type: string
                  description: Organization infrastructure in-use.
                  enum:
                    - cloud
                    - on-prem
                    - hybrid
                contacts:
                  type: array
                  description: Points of contact for the Organization.
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        description: Name of the contact.
                        examples:
                          - John Doe
                          - John Smith
                      role:
                        type: string
                        description: Role of the contact.
                        examples:
                          - Supervisor
                          - Employee
                      email:
                        type: string
                        format: email
                        description: |-
                          Email address of the contact.  
                          Ensure to set this if *phone* is empty.
                        examples:
                          - jdoe@mail.com
                          - johnsmith@sample.com
                      phone:
                        type: string
                        description: |-
                          Phone number of the contact.  
                          Ensure to set this if *email* is empty.
                        examples:
                          - '3333333333'
                          - '3453453456'
                      email_report:
                        type: boolean
                        description: >-
                          If `true` then will receive automatic emails each week
                          with a report.  

                          If set `true`, ensure *email* value is not empty.
                        examples:
                          - true
                domains:
                  type: array
                  description: Organization owned domains.
                  items:
                    type: string
                    format: hostname
                    examples:
                      - sample.com
                      - my.organization.com
                ips:
                  type: array
                  description: Organization public IPs.
                  items:
                    type: string
                    format: ipv4
                    description: Public IPv4 address.
                    examples:
                      - 11.22.33.44
                      - 30.40.50.60
          multipart/form-data:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    name:
                      type: string
                      examples:
                        - Sample Organization
                        - My Organization
                      description: Organization common name.
                    description:
                      type: string
                      description: Organization description
                      examples:
                        - >-
                          Lorem ipsum dolor sit amet, consectetur adipiscing
                          elit. Integer et posuere erat. Phasellus iaculis metus
                          mauris, quis accumsan felis fermentum at.
                    number_employees:
                      type: number
                      description: Organization number of employees
                      examples:
                        - 10
                        - 20
                        - 30
                    website:
                      type: string
                      description: Full URL of the Organization website
                      examples:
                        - https://sample.com
                        - https://my.organization.com
                    logo:
                      type: string
                      description: Full URL reference to Organization Logo file
                      examples:
                        - https://sample.com/logo.svg
                        - https://my.organization.com/logo.png
                    sectors:
                      type: array
                      description: Sectors in which the Organization operates.
                      items:
                        type: string
                        enum:
                          - Agriculture
                          - Arts & Entertainment
                          - Business Services
                          - Construction
                          - Consumer Discretionary
                          - Consumer Staples
                          - Education
                          - Energy
                          - Financials
                          - Health Care
                          - Hospitality & Tourism
                          - Information Technology
                          - Manufacturing
                          - Materials
                          - Media
                          - Public Sector
                          - Real Estate
                          - Retail
                          - Science & Technology
                          - Telecommunications
                          - Transportation
                          - Utilities
                    industries:
                      type: array
                      description: Industries in which the Organization operates.
                      items:
                        type: string
                        enum:
                          - Accounting
                          - Airlines/Aviation
                          - Alternative Dispute Resolution
                          - Alternative Medicine
                          - Animation
                          - Apparel/Fashion
                          - Architecture/Planning
                          - Arts/Crafts
                          - Automotive
                          - Aviation/Aerospace
                          - Banking/Mortgage
                          - Biotechnology/Greentech
                          - Broadcast Media
                          - Building Materials
                          - Business Supplies/Equipment
                          - Capital Markets/Hedge Fund/Private Equity
                          - Chemicals
                          - Civic/Social Organization
                          - Civil Engineering
                          - Commercial Real Estate
                          - Computer Games
                          - Computer Hardware
                          - Computer Networking
                          - Computer Software/Engineering
                          - Computer/Network Security
                          - Construction
                          - Consumer Electronics
                          - Consumer Goods
                          - Consumer Services
                          - Cosmetics
                          - Dairy
                          - Defense/Space
                          - Design
                          - E-Learning
                          - Education Management
                          - Electrical/Electronic Manufacturing
                          - Entertainment/Movie Production
                          - Environmental Services
                          - Events Services
                          - Executive Office
                          - Facilities Services
                          - Farming
                          - Financial Services
                          - Fine Art
                          - Fishery
                          - Food Production
                          - Food/Beverages
                          - Fundraising
                          - Furniture
                          - Gambling/Casinos
                          - Glass/Ceramics/Concrete
                          - Government Administration
                          - Government Relations
                          - Graphic Design/Web Design
                          - Health/Fitness
                          - Higher Education/Acadamia
                          - Hospital/Health Care
                          - Hospitality
                          - Human Resources/HR
                          - Import/Export
                          - Individual/Family Services
                          - Industrial Automation
                          - Information Services
                          - Information Technology/IT
                          - Insurance
                          - International Affairs
                          - International Trade/Development
                          - Internet
                          - Investment Banking/Venture
                          - Investment Management/Hedge Fund/Private Equity
                          - Judiciary
                          - Law Enforcement
                          - Law Practice/Law Firms
                          - Legal Services
                          - Legislative Office
                          - Leisure/Travel
                          - Library
                          - Logistics/Procurement
                          - Luxury Goods/Jewelry
                          - Machinery
                          - Management Consulting
                          - Maritime
                          - Market Research
                          - Marketing/Advertising/Sales
                          - Mechanical or Industrial Engineering
                          - Media Production
                          - Medical Equipment
                          - Medical Practice
                          - Mental Health Care
                          - Military Industry
                          - Mining/Metals
                          - Motion Pictures/Film
                          - Museums/Institutions
                          - Music
                          - Nanotechnology
                          - Newspapers/Journalism
                          - Non-Profit/Volunteering
                          - Oil/Energy/Solar/Greentech
                          - Online Publishing
                          - Other Industry
                          - Outsourcing/Offshoring
                          - Package/Freight Delivery
                          - Packaging/Containers
                          - Paper/Forest Products
                          - Performing Arts
                          - Pharmaceuticals
                          - Philanthropy
                          - Photography
                          - Plastics
                          - Political Organization
                          - Primary/Secondary Education
                          - Printing
                          - Professional Training
                          - Program Development
                          - Public Relations/PR
                          - Public Safety
                          - Publishing Industry
                          - Railroad Manufacture
                          - Ranching
                          - Real Estate/Mortgage
                          - Recreational Facilities/Services
                          - Religious Institutions
                          - Renewables/Environment
                          - Research Industry
                          - Restaurants
                          - Retail Industry
                          - Security/Investigations
                          - Semiconductors
                          - Shipbuilding
                          - Sporting Goods
                          - Sports
                          - Staffing/Recruiting
                          - Supermarkets
                          - Telecommunications
                          - Textiles
                          - Think Tanks
                          - Tobacco
                          - Translation/Localization
                          - Transportation
                          - Utilities
                          - Venture Capital/VC
                          - Veterinary
                          - Warehousing
                          - Wholesale
                          - Wine/Spirits
                          - Wireless
                          - Writing/Editing
                    infrastructure:
                      type: string
                      description: Organization infrastructure in-use.
                      enum:
                        - cloud
                        - on-prem
                        - hybrid
                    contacts:
                      type: array
                      description: Points of contact for the Organization.
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Name of the contact.
                            examples:
                              - John Doe
                              - John Smith
                          role:
                            type: string
                            description: Role of the contact.
                            examples:
                              - Supervisor
                              - Employee
                          email:
                            type: string
                            format: email
                            description: |-
                              Email address of the contact.  
                              Ensure to set this if *phone* is empty.
                            examples:
                              - jdoe@mail.com
                              - johnsmith@sample.com
                          phone:
                            type: string
                            description: |-
                              Phone number of the contact.  
                              Ensure to set this if *email* is empty.
                            examples:
                              - '3333333333'
                              - '3453453456'
                          email_report:
                            type: boolean
                            description: >-
                              If `true` then will receive automatic emails each
                              week with a report.  

                              If set `true`, ensure *email* value is not empty.
                            examples:
                              - true
                    domains:
                      type: array
                      description: Organization owned domains.
                      items:
                        type: string
                        format: hostname
                        examples:
                          - sample.com
                          - my.organization.com
                    ips:
                      type: array
                      description: Organization public IPs.
                      items:
                        type: string
                        format: ipv4
                        description: Public IPv4 address.
                        examples:
                          - 11.22.33.44
                          - 30.40.50.60
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  organization:
                    type: number
                    description: Organization id of the newly created one.
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - Invalid data provided
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````